Bug 19127 - mythtv install problems
Summary: mythtv install problems
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: x86_64 Linux
Priority: Normal major
Target Milestone: ---
Assignee: Colin Guthrie
QA Contact:
URL:
Whiteboard:
Keywords: 6sta2, IN_ERRATA6
Depends on:
Blocks:
 
Reported: 2016-08-04 01:50 CEST by Bit Twister
Modified: 2019-01-03 07:35 CET (History)
6 users (show)

See Also:
Source RPM: mythtv-backend-29.1-20180521.2.mga7.tainted
CVE:
Status comment:


Attachments

Description Bit Twister 2016-08-04 01:50:56 CEST
Description of problem:

Unable to do a clean install of mythtv and have mythbackend come up based on install documentation. mysqld  Ver 10.1.16-MariaDB enforces medium password checking and and host id as part of login.


1. passwords in /usr/share/mythtv/initialdb/mc.sql need to be 8 characters or longer.

2. host id needs to match documentation and what the uses has to enter during mythtv-setup.

3. Environment=MYTHCONFDIR=@syscondir@/mythtv needs to match mythtv home directory seen in /etc/passwd.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. click up a root terminal
2. mysql --user=root
  source /usr/share/mythtv/initialdb/mc.sql
note password failure message.

3. run  mythtv-setup
change host 127.0.0.1 from localhost
and use the new password used in step 2.

4. systemctl start mythbackend
5. grep -i syscondir  /var/log/mythtv/*
Note errors.

Workarounds:
For problems 1 and 2 change
      from   mythtv@localhost IDENTIFIED BY "mythtv";
      to     mythtv@127.0.0.1 IDENTIFIED BY "mythtv_Password";
in /usr/share/mythtv/initialdb/mc.sql

Rather than change /usr/lib/systemd/system/mythbackend.service if supplied via upstream, and may change over time, do the following:

mkdir -p /etc/systemd/system/mythbackend.service.d/
cat > /etc/systemd/system/mythbackend.service.d/local.conf
[Service]
Environment=MYTHCONFDIR=/var/lib/mythtv
^d

The ^d is a Ctrl+d used to close cat input to /etc/systemd/system/mythbackend.service.d/local.conf
Comment 1 Bit Twister 2016-08-04 02:56:13 CEST
Found that /etc/sysconfig/mythbackend is not setting MYTHTV_HOME
Easy fix is to add it to /etc/systemd/system/mythbackend.service.d/local.conf
cat > /etc/systemd/system/mythbackend.service.d/local.conf
[Service]
Environment=MYTHTV_HOME=/var/lib/mythtv
Environment=MYTHCONFDIR=/var/lib/mythtv
^d
David GEIGER 2016-08-04 06:27:53 CEST

CC: (none) => geiger.david68210
Assignee: bugsquad => mageia

Comment 2 Bit Twister 2016-08-25 00:48:56 CEST
https://bugs.mageia.org/show_bug.cgi?id=19223#c8 suggests a number is required in the password.
Comment 3 Bit Twister 2016-09-23 01:05:05 CEST
List of MythTv files needing new password:
System:
   /usr/share/mythtv/initialdb/mc.sql
   /var/lib/mythtv/config.xml

Users:
 $HOME/.mythtv/config.xml
Comment 4 Bit Twister 2016-09-28 02:04:26 CEST
After importing my mga5 mythtv dump on mga6, I could no longer log into mysql as root. Solution, 
o change root and mythtv passwords to pass mga6 mysql restrictions on mga5
o set new password in files in comment 3 on mga5
o export the mythconverg database to dump.sql
o set same root password on mga6 as mga5
o /usr/bin/mysqladmin --user=root password 'new_pw'
o mysql_tzinfo_to_sql /usr/share/zoneinfo | mysql --user=root --password=new_pw mysql
o set new password in files in comment 3 on mga6
o mysql --user=root --password=new_pw mysql < dump.sql
Bit Twister 2016-10-18 14:17:36 CEST

Keywords: (none) => FOR_ERRATA6

Bit Twister 2017-01-23 21:16:20 CET

Source RPM: mythtv-0.27.4-20141022.6.mga6.tainted.src.rpm => drakxtools-17.71-1.mga6.src.rpm
Status comment: (none) => 6_s2
Summary: 6_rc0: mythtv install problems => mythtv install problems

Bit Twister 2017-01-31 18:45:59 CET

Keywords: (none) => 6sta2
Status comment: 6_s2 => (none)

Comment 5 Bit Twister 2017-02-03 02:13:57 CET
(In reply to Bit Twister from comment #4)
> After importing my mga5 mythtv dump on mga6, I could no longer log into
> mysql as root.

root login problem was my fault.
My dump contained the mysql schema. Removed mysql schema from the dump.
Comment 6 Bit Twister 2017-02-22 17:07:59 CET
FYI: 0.28 on 11-April-2016

Source RPM: drakxtools-17.71-1.mga6.src.rpm => mythtv-0.27.4-20141022.11.mga6.tainted.src.rpm

Marja Van Waes 2017-03-06 17:08:37 CET

CC: (none) => marja11
Keywords: FOR_ERRATA6 => IN_ERRATA6

William Kenney 2017-10-11 18:20:31 CEST

CC: (none) => wilcal.int

Comment 7 William Kenney 2017-10-11 18:39:04 CEST
I'm going to start tinkering with this.

The hardware I am using is a Hauppauge WinTV-HVR-955Q USB TV Tuner
with a Mohu Leaf 50 TV Antenna.
Comment 8 William Kenney 2017-10-11 18:40:16 CEST
Kaffeine works just fine on my test systems.
Comment 9 Bit Twister 2018-04-11 17:38:13 CEST
FYI:  29.0 released 01-February-2017
Bit Twister 2018-09-03 10:01:48 CEST

Source RPM: mythtv-0.27.4-20141022.11.mga6.tainted.src.rpm => mythtv-backend-29.1-20180521.2.mga7.tainted

Comment 10 Marja Van Waes 2018-09-04 11:38:52 CEST
CC'ing some more committers, because the registered maintainer is unavailable

CC: (none) => cjw, eatdirt, guillomovitch

Comment 11 Bit Twister 2019-01-01 14:06:02 CET
See bug 24104 to get mythtv-setup to access to database.

Might not hurt to get errata updated to have
    echo "MYTHTV_HOME=/var/lib/mythtv" >> /etc/sysconfig/mythbackend
    echo "MYTHCONFDIR=/var/lib/mythtv" >> /etc/sysconfig/mythbackend
Comment 12 Bit Twister 2019-01-03 03:28:12 CET
mga6 users need to read https://bugs.mageia.org/show_bug.cgi?id=24104
mga7 users need just the above comment #11 workaround for mythtv-setup and mythbackend.
Comment 13 David GEIGER 2019-01-03 07:35:43 CET
Fix in next mythtv-29.1-20181230.1.1.mga6 update and for cauldron too in
mythtv-29.1-20181230.2.mga7

Note You need to log in before you can comment on or make changes to this bug.